net.sourceforge.pmd.ast

## Class ASTAssignmentOperatorTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.ParserTst
  - - net.sourceforge.pmd.ast.ASTAssignmentOperatorTest

    public class ASTAssignmentOperatorTest
    extends ParserTst

### Constructor Summary

Constructors
Constructor and Description
`ASTAssignmentOperatorTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testCompoundAssignmentMultRecognized()`
`void` `testCompoundAssignmentPlusRecognized()`
`void` `testSimpleAssignmentRecognized()`

### Methods inherited from class net.sourceforge.pmd.testframework.ParserTst

`buildDFA, getNodes, getNodes, getOrderedNodes, parseJava, parseJava13, parseJava14, parseJava15, parseJava17`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ASTAssignmentOperatorTest

    public ASTAssignmentOperatorTest()

### Method Detail

#### testSimpleAssignmentRecognized

    public void testSimpleAssignmentRecognized()
                                        throws Throwable

Throws:
  `Throwable`

#### testCompoundAssignmentPlusRecognized

    public void testCompoundAssignmentPlusRecognized()
                                              throws Throwable

Throws:
  `Throwable`

#### testCompoundAssignmentMultRecognized

    public void testCompoundAssignmentMultRecognized()
                                              throws Throwable

Throws:
  `Throwable`

#### suite

    public static junit.framework.Test suite()